import request from "@/utils/request";

// 报修
export function listTeacherbx(query) {
  return request({
    url: "/teacher/teacherjy/bxlist",
    method: "get",
    params: query,
  });
}
// 领用
export function listTeacherly(query) {
  return request({
    url: "/teacher/teacherjy/lylist",
    method: "get",
    params: query,
  });
}
// 借用
export function listTeacherjy(query) {
  return request({
    url: "/teacher/teacherjy/jylist",
    method: "get",
    params: query,
  });
}

// 报修详情
export function listTeacherbxxq(query) {
  return request({
    url: `/teacher/teacherjy/ckbx`,
    method: "get",
    params: query,
  });
}
// 领用详情
export function listTeacherlyxq(query) {
  return request({
    url: `/teacher/teacherjy/ckly`,
    method: "get",
    params: query,
  });
}
// 借用详情
export function listTeacherjyxq(query) {
  return request({
    url: `/teacher/teacherjy/ckjy`,
    method: "get",
    params: query,
  });
}
